petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetField

Set the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetField(DM dm, PetscInt f, DMLabel label, PetscObject field)

Logically collective on dm

### Input Parameters

| dm | - The DM
| f | - The field number
| label | - The label indicating the support of the field, or NULL for the entire mesh
| field | - The discretization object

### See Also

DMAddField(), DMGetField()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages